import "@paraboly/pwc-choices";
import "@paraboly/pwc-color-picker";
import { EventEmitter } from "../../stencil.core";
import { FormChangedEventPayload } from "./FormChangedEventPayload";
import { FieldChangedEventPayload } from "../pwc-dynamic-form-field/FieldChangedEventPayload";
import { FormValuesType } from "./FormValuesType";
export declare class PwcDynamicForm {
    private contentRef;
    rootElement: HTMLPwcDynamicFormElement;
    formChanged: EventEmitter<FormChangedEventPayload>;
    handleFieldChanged(fieldChangedEventPayload: FieldChangedEventPayload): void;
    handleFormReset(formResetEvent: Event): void;
    getFieldValues(): Promise<FormValuesType>;
    componentDidRender(): void;
    render(): any;
}
